/**
 *
 */
package de.intevation.gnv.state.describedata;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class DefaultSingleValueDescribeData implements SingleValueDescribeData {

    /**
     *
     */
    private static final long serialVersionUID = 3580176842483316917L;

    private String name = null;

    private String value = null;

    private String state = null;

    public DefaultSingleValueDescribeData(String name, String value) {
        this(name, value, null);
    }

    /**
     * Constructor
     *
     * @param name
     * @param value
     */
    public DefaultSingleValueDescribeData(
        String name,
        String value,
        String state
    ) {
        super();
        this.name = name;
        this.value = value;
        this.state = state;
    }

    /**
     * @see de.intevation.gnv.state.describedata.SingleValueDescribeData#getName()
     */
    public String getName() {
        return this.name;
    }

    /**
     * @see de.intevation.gnv.state.describedata.SingleValueDescribeData#getValue()
     */
    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getState() {
        return this.state;
    }
}
